# Generated from db_obfuscation-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name db_obfuscation

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: A gem to obfuscate a production database with fake values for testing with a production size database
License: MIT
URL: https://github.com/CaseCommonsDevOps/db_obfuscation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
db_obfuscation is a gem that helps to prepare a production size obfuscated
database. This obfuscated database can be used for internal testing purposes
like user acceptance testing, QA/Regression testing. db_obfuscation takes a
production database and updates data in every row in each table with fake
data. db_obfuscation ensures that associations between different tables are
still maintained.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/db_obfuscation
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_instdir}/cli
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/db_obfuscation.gemspec
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
